org.optaplanner.core.impl.score.stream.quad

## Class CompositeQuadJoiner<A,B,C,D>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractJoiner
  - - org.optaplanner.core.impl.score.stream.quad.AbstractQuadJoiner<A,B,C,D>
    - - org.optaplanner.core.impl.score.stream.quad.CompositeQuadJoiner<A,B,C,D>

- All Implemented Interfaces:
    QuadJoiner<A,B,C,D>

      public final class CompositeQuadJoiner<A,B,C,D>
      extends AbstractQuadJoiner<A,B,C,D>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeQuadJoiner(List<SingleQuadJoiner<A,B,C,D>> joinerList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<SingleQuadJoiner<A,B,C,D>>` | `getJoinerList()`
    `JoinerType[]` | `getJoinerTypes()`
    `TriFunction<A,B,C,Object[]>` | `getLeftCombinedMapping()`
    `TriFunction<A,B,C,Object>` | `getLeftMapping(int joinerId)`
    `Function<D,Object[]>` | `getRightCombinedMapping()`
    `Function<D,Object>` | `getRightMapping(int joinerId)`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.quad.AbstractQuadJoiner

      `merge`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeQuadJoiner

          public CompositeQuadJoiner(List<SingleQuadJoiner<A,B,C,D>> joinerList)

  - ### Method Detail

    - #### getJoinerList

          public List<SingleQuadJoiner<A,B,C,D>> getJoinerList()

    - #### getLeftMapping

          public TriFunction<A,B,C,Object> getLeftMapping(int joinerId)

      Specified by:
        `getLeftMapping` in class `AbstractQuadJoiner<A,B,C,D>`

    - #### getLeftCombinedMapping

          public TriFunction<A,B,C,Object[]> getLeftCombinedMapping()

      Specified by:
        `getLeftCombinedMapping` in class `AbstractQuadJoiner<A,B,C,D>`

    - #### getJoinerTypes

          public JoinerType[] getJoinerTypes()

      Specified by:
        `getJoinerTypes` in class `AbstractJoiner`

    - #### getRightMapping

          public Function<D,Object> getRightMapping(int joinerId)

      Specified by:
        `getRightMapping` in class `AbstractQuadJoiner<A,B,C,D>`

    - #### getRightCombinedMapping

          public Function<D,Object[]> getRightCombinedMapping()

      Specified by:
        `getRightCombinedMapping` in class `AbstractQuadJoiner<A,B,C,D>`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.